pbs_idled(8B)

NAME
pbs_idled - run PBS daemon that monitors the console and informs pbs_mom of idle time

LINUX SYNOPSIS
pbs_idled [-D <display>] [-r <reconnect delay>] [-w <wait time>]
pbs_idled --version

WINDOWS SYNOPSIS
pbs_idled [start | stop]
pbs_idled --version

LINUX DESCRIPTION
On Linux, the pbs_idled program monitors an X windows display and communicates the idle time of the display back to PBS. If the mouse is moved or a key is touched, PBS is informed that the vnode is busy.
You should run this program from the system-wide Xsession file, in the background before the window manager is run. If this program is run outside of the Xsession, it will need to be able to make a connection to the X display. See the xhost or xauth man pages for a description of X security.

WINDOWS DESCRIPTION
On Windows, pbs_idled reads its polling interval from a file called idle_poll_time which is created by MoM. The process monitors keyboard, mouse, and console activity, and updates a file called idle_touch when it finds user activity. The idle_touch file is created by MoM.

LINUX OPTIONS

-D <display>
    The display to connect to and monitor

-r <reconnect delay>
    Time to wait before we try to reconnect to the X display if the previous attempt was unsuccessful

-w <wait time>
    Interval between times when the daemon checks for events or pointer movement

--version
    The pbs_idled command returns its PBS version information and exits. This option can only be used alone.

WINDOWS OPTIONS

start
    Starts the pbs_idled process.

stop
    Stops the pbs_idled process.

--version
    The pbs_idled process returns its PBS version information and exits. This option can only be used alone.

SEE ALSO
The PBS Professional Administrator's Guide and the following manual pages: pbs_mom(8B), xhost(1), xauth(1)